sc::Volume(3)

NAME
sc::Volume - A Volume is a Function of three variables.

SYNOPSIS

#include <volume.h>

Inherits sc::Function.

Inherited by sc::ElectronDensity, sc::Orbital, and sc::Shape.

  Public Methods
Volume ()
Volume (const Ref< KeyVal > &)
~Volume ()
void set_gradient (const SCVector3 &g)
void set_gradient (RefSCVector &g)
void get_gradient (SCVector3 &g)
void set_x (const SCVector3 &x)
void set_x (const RefSCVector &x)
Set and retrieve the coordinate values.
void get_x (SCVector3 &x)
virtual void boundingbox (double valuemin, double valuemax, SCVector3 &p1, SCVector3 &p2)=0
virtual void interpolate (const SCVector3 &p1, const SCVector3 &p2, double value, SCVector3 &result)
virtual void solve (const SCVector3 &p, const SCVector3 &grad, double value, SCVector3 &result)

  Protected Methods
double & interpolation_accuracy ()
virtual void compute ()=0
Recompute at least the results that have compute true and are not already computed.
virtual void failure (const char *)

DETAILED DESCRIPTION

A Volume is a Function of three variables.

MEMBER FUNCTION DOCUMENTATION

  virtual void sc::Volume::compute () [protected, pure virtual]

Recompute at least the results that have compute true and are not already computed.

This should only be called by Result's members.

Implements sc::Compute.

Implemented in sc::Shape.

AUTHOR

Generated automatically by Doxygen for MPQC from the source code.